# Enable or Disable Crash Reporting

By default, crash reporting is enabled and will send crashes to your dashboard as soon as you integrate the SDK. If you would prefer to disable this feature, you can this API, and pass it a boolean to enable or disable it.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
CrashReporting.enabled = false
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQCrashReporting.enabled = NO;
```

{% endtab %}

{% tab title="And - Java" %}

```java
// Enable
CrashReporting.setState(Feature.State.ENABLED);
// Disable
CrashReporting.setState(Feature.State.DISABLED);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
// Enable
CrashReporting.setState(Feature.State.ENABLED)
// Disable
CrashReporting.setState(Feature.State.DISABLED)
```

{% endtab %}

{% tab title="RN" %}

```javascript
CrashReporting.setEnabled(false);
```

{% endtab %}

{% tab title="Flutter" %}

```javascript
CrashReporting.setEnabled(false);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/crash-reporting/enable-or-disable-crash-reporting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
